org.apache.ignite.internal.visor.file

## Class VisorFileBlockTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<VisorFileBlockTask.VisorFileBlockArg,IgniteBiTuple<? extends IOException,VisorFileBlock>>
    - - org.apache.ignite.internal.visor.file.VisorFileBlockTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorFileBlockTask.VisorFileBlockArg>,IgniteBiTuple<? extends IOException,VisorFileBlock>>

    @GridInternal
    public class VisorFileBlockTask
    extends VisorOneNodeTask<VisorFileBlockTask.VisorFileBlockArg,IgniteBiTuple<? extends IOException,VisorFileBlock>>

Task to read file block.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `VisorFileBlockTask.VisorFileBlockArg` Arguments for `VisorFileBlockTask`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorFileBlockTask()`

### Method Summary

Methods
`protected org.apache.ignite.internal.visor.file.VisorFileBlockTask.VisorFileBlockJob` `job(VisorFileBlockTask.VisorFileBlockArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorFileBlockTask

    public VisorFileBlockTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.file.VisorFileBlockTask.VisorFileBlockJob job(VisorFileBlockTask.VisorFileBlockArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorFileBlockTask.VisorFileBlockArg,IgniteBiTuple<? extends IOException,VisorFileBlock>,IgniteBiTuple<? extends IOException,VisorFileBlock>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015